Antivirus

Antivirus API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • Audit quarantined assets -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • Audit quarantined assets -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Quarantine

Update review status by list of asset Ids

post
https://{your-bynder-domain}/v7/quarantine/v1/antivirus-audit

Body

application/json
dataobject
Show Child Parameters

Response

application/json

Review status updated

object
post/v7/quarantine/v1/antivirus-audit

Body

{}
 
application/json

Retrieve a list of quarantined assets

get
https://{your-bynder-domain}/v7/quarantine/v1/assets

Response

application/json

List of quarantined assets

assetsarray[object]
Show Child Parameters
totalCountinteger

Example:1

get/v7/quarantine/v1/assets
 
application/json

Retrieve a quarantined asset by id

get
https://{your-bynder-domain}/v7/quarantine/v1/assets/{asset_id}

Path Parameters

asset_idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

application/json

Quarantined asset details

accountIdstring

Example:9c06c1e3-f0cb-427a-88f0-a545c475047f

assetIdstring

Example:5c554910-11f4-49a3-b7bf-04c21c99af05

assetNamestring

Example:example-asset-name

dateAddedstring(date-time)

Example:2024-06-28T10:42:02

dateModifiedstring(date-time)

Example:2024-06-28T10:42:11

fileSizeinteger
fileTypestring

Example:None

idstring

Example:a69f3104-0107-48af-a522-b437cd700b34

isRemovedboolean
isSafeboolean
requesterIdstring

Example:0b403671-8047-4fb9-9c59-ab4273973fb5

reviewStatusstring

Allowed values:APPROVEDREJECTED

reviewedByIdstring
scanFailureReasonstring

Example:client_error

scanStatusstring

Allowed values:PENDINGCLEAREDINFECTEDSKIPPED

Example:SKIPPED

uploadEventTypestring

Example:LEGACY

get/v7/quarantine/v1/assets/{asset_id}
 
application/json